## khotkeys 5.25.5

=== debian/changelog ===
khotkeys (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:54 +0100

khotkeys (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.25.4

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 15:14:49 +0100

khotkeys (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:35:11 +0200

khotkeys (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:53 +0100

khotkeys (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop now unused build dependency on libkf5plasma-dev.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:29:38 +0200

khotkeys (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:29 +0100

khotkeys (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:30 +0100

khotkeys (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:47:54 +0200

khotkeys (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:49 +0100

khotkeys (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten cross-plasma components dependencies.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:27:08 +0200

khotkeys (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:26 +0100

khotkeys (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:48:07 +0200

khotkeys (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:39:56 +0100

khotkeys (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:48 +0200

khotkeys (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:02 +0100

khotkeys (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:08:47 +0200

khotkeys (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:07:04 +0100

khotkeys (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:28 +0100

khotkeys (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 18:37:07 +0100

khotkeys (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:58:58 +0100

=== debian/control ===
Source: khotkeys
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkf5dbusaddons-dev (>= 5.94~),
               libkf5doctools-dev (>= 5.94~),
               libkf5globalaccel-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5kcmutils-dev (>= 5.94~),
               libkf5kdelibs4support-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5textwidgets-dev (>= 5.94~),
               libkf5xmlgui-dev (>= 5.94~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.25.5~),
               qtbase5-dev,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/khotkeys
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
Rules-Requires-Root: no

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

Package: khotkeys-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.

## khotkeys 5.27.3

=== debian/changelog ===
khotkeys (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:19:42 +0100

khotkeys (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:33 +0100

khotkeys (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:47 +0100

khotkeys (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Update cross-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:59 +0100

khotkeys (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:40 +0100

khotkeys (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:10:21 +0100

khotkeys (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 16:04:53 +0100

khotkeys (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:36:53 +0200

khotkeys (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:25 +0200

khotkeys (4:5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:05 +0200

khotkeys (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:26 +0200

khotkeys (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:22:58 +0200

=== debian/control ===
Source: khotkeys
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kdelibs4support-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5textwidgets-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.27.3~),
               qtbase5-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/khotkeys
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khotkeys.git
Rules-Requires-Root: no

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

Package: khotkeys-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kde-workspace-dev,
Replaces: kde-workspace-dev,
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.

## khotkeys 5.27.4

=== debian/changelog ===
khotkeys (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:29 +0100

khotkeys (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:56 +0000

khotkeys (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:44 +0000

khotkeys (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:27 +0000

khotkeys (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:29 +0000

khotkeys (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:29:26 +0000

khotkeys (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)
  * Keep plasma-workspace-dev build dep at 5.26.4

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:28:01 +0000

khotkeys (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.26.4.1

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 10:57:40 +0000

khotkeys (4:5.26.4-0ubuntu2) lunar; urgency=medium

  * Bump plasma-workspace-dev build dep to (>= 4:5.26.4.1~)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 15:02:32 +0000

khotkeys (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:03:31 +0000

khotkeys (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:11:03 +0000

khotkeys (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: khotkeys
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -23,12 +24,12 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.3~),
+               plasma-workspace-dev (>= 4:5.27.4~),
                qtbase5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/khotkeys
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khotkeys.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
 Rules-Requires-Root: no
 
 Package: khotkeys
@@ -46,7 +47,7 @@
 
 Package: khotkeys-data
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: configure input actions settings
  Configure input actions settings in Plasma.
@@ -59,9 +60,10 @@
 Package: khotkeys-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: kde-workspace-dev,
-Replaces: kde-workspace-dev,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: kde-workspace-dev
+Replaces: kde-workspace-dev
 Multi-Arch: same
 Description: configure input actions settings
  Configure input actions settings in Plasma.

## khotkeys 5.27.5

=== CMakeLists.txt ===
project(khotkeys)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 3.16)
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")



include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/libkhotkeysprivate
    ${CMAKE_CURRENT_BINARY_DIR}/libkhotkeysprivate
    ${CMAKE_CURRENT_BINARY_DIR}
)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    DBusAddons
    DocTools
    GlobalAccel
    I18n
    KCMUtils
    KIO
    TextWidgets
    XmlGui
    
    # TODO: remove kdelibs4support uses
    KDELibs4Support
)

find_package(X11 REQUIRED OPTIONAL_COMPONENTS Xtst)
find_package(LibKWorkspace CONFIG REQUIRED)

if(X11_FOUND)
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras )
    set(HAVE_XTEST ${X11_XTest_FOUND})
    set(HAVE_X11 1)
endif()

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)


# Set KI18n translation domain
add_definitions(-DTRANSLATION_DOMAIN=\"khotkeys\")

# Convenience library
add_subdirectory( libkhotkeysprivate )
# has to be before kcm_hotkeys
add_subdirectory( app )
# kcm module to configure hotkeys
add_subdirectory( kcm_hotkeys )
# kdedmodule and standalone demon for hotkeys
add_subdirectory( data )
add_subdirectory( test )
add_subdirectory( doc )
kdoctools_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/kcm/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/khotkeys)

=== debian/changelog ===
khotkeys (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:47 +0200

khotkeys (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: khotkeys
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -24,12 +23,12 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.4~),
+               plasma-workspace-dev (>= 4:5.27.5~),
                qtbase5-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/khotkeys
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khotkeys.git
 Rules-Requires-Root: no
 
 Package: khotkeys
@@ -47,7 +46,7 @@
 
 Package: khotkeys-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Multi-Arch: foreign
 Description: configure input actions settings
  Configure input actions settings in Plasma.
@@ -60,10 +59,9 @@
 Package: khotkeys-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: kde-workspace-dev
-Replaces: kde-workspace-dev
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: kde-workspace-dev,
+Replaces: kde-workspace-dev,
 Multi-Arch: same
 Description: configure input actions settings
  Configure input actions settings in Plasma.

## khotkeys 5.27.7

=== debian/changelog ===
khotkeys (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:56:18 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.5~),
+               plasma-workspace-dev (>= 4:5.27.7~),
                qtbase5-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/khotkeys

## khotkeys 5.27.8

=== debian/changelog ===
khotkeys (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:02 +0100

khotkeys (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 13:28:02 +0100

khotkeys (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:13 +0100

khotkeys (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:41 +0100

khotkeys (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: khotkeys
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -23,12 +24,12 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.7~),
+               plasma-workspace-dev (>= 4:5.27.8~),
                qtbase5-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/khotkeys
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khotkeys.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
 Rules-Requires-Root: no
 
 Package: khotkeys
@@ -59,7 +60,8 @@
 Package: khotkeys-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kde-workspace-dev,
 Replaces: kde-workspace-dev,
 Multi-Arch: same

## khotkeys 5.27.10

=== debian/changelog ===
khotkeys (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:04 +0000

khotkeys (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:14 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.8~),
+               plasma-workspace-dev (>= 4:5.27.10~),
                qtbase5-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/khotkeys

## khotkeys 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 3.16)

=== app/CMakeLists.txt ===
########### next target ###############

set(dbus_interface_name org.kde.khotkeys.xml)
set(kded_khotkeys_PART_SRCS
        kded.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${dbus_interface_name})

qt5_generate_dbus_interface(kded.h ${dbus_interface_name})
set(dbus_interface_xml ${CMAKE_CURRENT_BINARY_DIR}/${dbus_interface_name})

add_custom_target(khotkeysdbusinterface ALL DEPENDS ${dbus_interface_name})

add_library(kded_khotkeys MODULE ${kded_khotkeys_PART_SRCS})
set_target_properties(kded_khotkeys PROPERTIES OUTPUT_NAME khotkeys)
kcoreaddons_desktop_to_json(kded_khotkeys khotkeys.desktop)

target_link_libraries(kded_khotkeys
    khotkeysprivate
    PW::KWorkspace
    KF5::DBusAddons)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KHotKeysDBusInterface")

configure_package_config_file(KHotKeysDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/KHotKeysDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

########### install files ###############
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KHotKeysDBusInterfaceConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(TARGETS kded_khotkeys DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.khotkeys.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== kcm_hotkeys/CMakeLists.txt ===
set(
    kcm_hotkeys_PART_SRCS
    kcm_hotkeys.cpp
    global_settings_widget.cpp
    hotkeys_export_widget.cpp
    hotkeys_model.cpp
    hotkeys_proxy_model.cpp
    hotkeys_tree_view.cpp
    hotkeys_context_menu.cpp

    # HELPER WIDGETS
    helper_widgets/window_selector.cpp
    helper_widgets/window_definition_widget.cpp
    helper_widgets/window_definition_list_widget.cpp
    helper_widgets/gesture_drawer.cpp
    helper_widgets/gesture_recorder.cpp
    helper_widgets/gesture_widget.cpp
    helper_widgets/edit_gesture_dialog.cpp

    # TRIGGER WIDGETS
    triggers/trigger_widget_base.cpp
    triggers/shortcut_trigger_widget.cpp
    triggers/window_trigger_widget.cpp
    triggers/gesture_trigger_widget.cpp

    # ACTION WIDGETS
    actions/action_widget_base.cpp
    actions/command_url_action_widget.cpp
    actions/dbus_action_widget.cpp
    actions/menuentry_action_widget.cpp
    actions/keyboard_input_action_widget.cpp

    # CONDITION WiDGETS
    conditions/conditions_widget.cpp
    conditions/condition_type_menu.cpp

    # ACTION_DATA WIDGETS
    hotkeys_widget_iface.cpp
    hotkeys_widget_base.cpp
    action_group_widget.cpp
    simple_action_data_widget.cpp
    )

ki18n_wrap_ui(kcm_hotkeys_PART_SRCS
    global_settings_widget.ui
    hotkeys_export_widget.ui
    kcm_hotkeys.ui

    # HELPER WIDGETS
    helper_widgets/window_definition_list_widget.ui
    helper_widgets/window_definition_widget.ui
    helper_widgets/gesture_widget.ui

    # TRIGGER WIDGETS
    triggers/window_trigger_widget.ui
    triggers/shortcut_trigger_widget.ui
    triggers/gesture_trigger_widget.ui

    # ACTION WIDGETS
    actions/command_url_action_widget.ui
    actions/dbus_action_widget.ui
    actions/menuentry_action_widget.ui
    actions/keyboard_input_action_widget.ui

    # CONDITION WiDGETS
    conditions/conditions_widget.ui

    # ACTION_DATA WIDGETS
    hotkeys_widget_base.ui
    )

qt_add_dbus_interface(
    kcm_hotkeys_PART_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/../app/org.kde.khotkeys.xml
    khotkeys_interface)


add_library(
    kcm_hotkeys
    MODULE
    ${kcm_hotkeys_PART_SRCS}
    )
add_dependencies(kcm_hotkeys khotkeysdbusinterface)

target_compile_definitions(kcm_hotkeys PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

add_dependencies(kcm_hotkeys kded_khotkeys)

target_link_libraries(
    kcm_hotkeys
    khotkeysprivate
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::TextWidgets
    Qt::Gui
    ${X11_X11_LIB}
    )

install(
    TARGETS kcm_hotkeys
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
    )

install(
    FILES khotkeys.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
    )

=== debian/changelog ===
khotkeys (4:5.27.11-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Make khotkeys a transitional dummy package for Plasma 5 to 6
      upgrades.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 12:55:54 +0000

khotkeys (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:24:01 +0200

khotkeys (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:27:09 +0100

khotkeys (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:44 +0200

khotkeys (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:31:35 +0200

=== debian/control ===
Source: khotkeys
Section: oldlibs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/khotkeys
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khotkeys.git
Rules-Requires-Root: no

Package: khotkeys
Architecture: any
Depends: ${misc:Depends},
Recommends: kglobalacceld,
Multi-Arch: same
Description: configure input actions settings - transitional dummy package
 Empty dummy package for Plamsa 5 to 6 upgrades.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	:

override_dh_auto_build:
	:

override_dh_auto_test:
	:

override_dh_auto_install:
	:
